Name:           openprs
Version:        1.1b10
Release:        2%{?dist}
Summary:        Open Procedural Reasoning System

License:        BSD
URL:            https://www.openrobots.org/wiki/openprs
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  autoconf, automake, libtool
BuildRequires:  readline-devel, texlive-collection-latex, libtool-ltdl-devel, flex, byacc
BuildRequires:  motif-devel, gtk2-devel, libX11-devel, libXt-devel

%description
The OPRS Development Environment is a set of programs designed to help
users create applications using Procedural Reasoning.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        examples
Summary:        Examples for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    examples
This package contains examples that can be used to esperiment with OpenPRS.


%prep
%setup -q


%build
./bootstrap.sh
%configure --disable-static --enable-gtk
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

rm -rf $RPM_BUILD_ROOT/%{_libdir}/app-defaults
rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc README LICENSE doc/oprs.pdf
%{_bindir}/*
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files examples
%{_datadir}/%{name}


%changelog
* Tue Jan 31 2017 Tim Niemueller <tim@niemueller.de> - 1.1b10-2
- Replace lesstif by motif dependency

* Wed Aug  6 2014 Tim Niemueller <tim@niemueller.de> - 1.1b10-1
- Initial package

